#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.3.0
id: foldl-1.3.0-5yfZVuiBBy6IvMICAlC1On
key: foldl-1.3.0-5yfZVuiBBy6IvMICAlC1On
license: BSD3
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
author: Gabriel Gonzalez
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
hidden-modules: Control.Foldl.Internal
abi: e63526df37ecdaef3ca3e924ac6dc487
trusted: False
import-dirs: /usr/lib/ghc-8.0.2/site-local/foldl-1.3.0
library-dirs: /usr/lib/ghc-8.0.2/site-local/foldl-1.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.0.2/foldl-1.3.0
hs-libraries: HSfoldl-1.3.0-5yfZVuiBBy6IvMICAlC1On
depends:
    base-4.9.1.0 bytestring-0.10.8.1
    comonad-5.0.1-57iqRHH7ifDe0jWuqpsGW containers-0.5.7.1
    contravariant-1.4-8XNcYhxZMQPHL9Afkgrfdc
    hashable-1.2.6.1-2nPqxcHq7mUGgurrYaLtXr
    mwc-random-0.13.6.0-K5ePRTjCwYQ3u7Qp4sh2LR
    primitive-0.6.2.0-4578caNkWQ54Gt1mxLF2Yh
    profunctors-5.2-8AU42QqEa6oClTRTu9iu4K
    text-1.2.2.2-3ENqlljngKa6xj1Go2fVWq transformers-0.5.2.0
    unordered-containers-0.2.8.0-1tqMF698WJE3INvmpuzQZc
    vector-0.12.0.1-692PQMDMB6pIQ1uGwefDcQ
    vector-builder-0.3.1-3WThL3dTVHZLiG5YVmLhRW
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
